%define oname   digimend
%define pname digimend-kernel-drivers

Name:           dkms-%{oname}
Summary:        DIGImend graphics tablet drivers for the Linux kernel
Group:          System/Kernel and hardware
Version:        10
Release:        %mkrel 2
License:        GPLv2+
URL:            https://github.com/DIGImend/digimend-kernel-drivers
# source from git repo git://github.com/Bumblebee-Project/bbswitch.git
Source0:        https://github.com/DIGImend/digimend-kernel-drivers/releases/download/v%{version}/%{pname}-%{version}.tar.gz
BuildArch:      noarch
Provides:       kmod(%{oname}.ko) = %{version}
Requires:       dkms
Obsoletes:      dkms-acpi_call <= 0.1

%description
This is a collection of graphics tablet drivers for the Linux kernel, produced
and maintained by the DIGImend project. We maintain this package to provide
newer drivers for older kernel versions which don't have them, and to allow
users to test new drivers before we contribute them to the mainline kernel.

This package uses DKMS to automatically build the digimend kernel modules.

%files
%doc README.md
%{_usrsrc}/%{oname}-%{version}-%{release}/*
/usr/lib/udev/rules.d/*.rules
/sbin/hid-rebind

%post
dkms add -m %{oname} -v %{version}-%{release} --rpm_safe_upgrade &&
dkms build -m %{oname} -v %{version}-%{release} --rpm_safe_upgrade &&
dkms install -m %{oname} -v %{version}-%{release} --rpm_safe_upgrade --force
true

%preun
dkms remove --binary -m %{oname} -v %{version}-%{release} --rpm_safe_upgrade --all
true

#--------------------------------------------------------------------
%prep
%setup -q -n %{pname}-%{version}
sed -i 's/#MODULE_VERSION#/%{version}-%{release}/g' dkms.conf

%install
%define installdir %{buildroot}%{_usrsrc}/%{oname}-%{version}-%{release}
install -d %{installdir} %{installdir}/usbhid %{buildroot}/usr/lib/udev/rules.d/ %{buildroot}/sbin/
install -m644 usbhid/*.[ch]     %{installdir}/usbhid/
install -m644 *.[ch]     %{installdir}
install -m644 Makefile       %{installdir}
install -m644 dkms.conf %{installdir}
install -m755 hid-rebind %{buildroot}/sbin/
install -m644 udev.rules %{buildroot}/usr/lib/udev/rules.d/90-hid-rebind.rules


%changelog
* Mon Mar 21 2022 umeabot <umeabot> 10-2.mga9
+ Revision: 1813869
- Mageia 9 Mass Rebuild

* Tue Feb 02 2021 neoclust <neoclust> 10-1.mga8
+ Revision: 1674403
- New version 10

* Wed Feb 12 2020 umeabot <umeabot> 7-4.mga8
+ Revision: 1501358
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 7-3.mga7
+ Revision: 1278026
- Mageia 7 Mass Rebuild
+ shlomif <shlomif>
- clarify as a dir

* Tue Apr 17 2018 shlomif <shlomif> 7-2.mga7
+ Revision: 1219631
- install more files

* Sun Apr 15 2018 shlomif <shlomif> 7-1.mga7
+ Revision: 1218911
- fix description
- Importing based on dkms-bbswitch

